ranges::v3::concepts::Range Struct Reference

## Description

Range concepts below.

## Public Types

template<typename T >
using | difference_t = concepts::WeaklyIncrementable::difference_t< iterator_t< T > >
template<typename T >
using | iterator_t = decltype(begin(std::declval< T & >()))
template<typename T >
using | sentinel_t = decltype(end(std::declval< T & >()))

## Public Member Functions

template<typename T >
auto | requires_ (T &t) -> decltype(concepts::valid_expr(concepts::model_of< Sentinel >(end(t), begin(t))))